package br.usp.ime.mac0331.sgc;

import java.io.InputStream;
import java.util.Scanner;


public class Reader {

	private final Scanner input;

	public Reader(InputStream inputStream) {
		this.input = new Scanner(inputStream);
	}

	public Simulation createSimulation() {
		this.input.useDelimiter("step\\s");
		Simulation simulation = new Simulation();

		while (this.input.hasNext()) {
			String inputStep = this.input.next().trim();
			simulation.addStep(inputStep);
			Step step = new Step(inputStep);
			if(step.getName() != null){
				simulation.setStep(step.getName());
			}
		}

		return simulation;
	}
}
