package br.usp.ime.mac0331.sgc.drawable;

import java.awt.geom.Line2D;
import java.util.ArrayList;
import java.util.List;

import br.usp.ime.mac0331.sgc.GeometriaShape;
import br.usp.ime.mac0331.sgc.GeometriaShape.DrawScheme;

public class Polygon implements Drawable {

	private List<Point> points;

	public Polygon(List<Point> points) {
		this.points = points;
	}

	public Figure toFigure() {
		List<Point> points = new ArrayList<Point>(this.points);
		points.add(this.points.get(0));

		List<GeometriaShape> shapes = new ArrayList<GeometriaShape>();

		for (int i = 0; i < points.size() - 1; i++) {
			Point p1 = points.get(i);
			Point p2 = points.get(i + 1);
			Line2D.Double line = new Line2D.Double(p1.getX(), p1.getY(), p2
					.getX(), p2.getY());
			shapes.add(new GeometriaShape(line, DrawScheme.SIMPLE_POLYGON));
		}
		return new Figure(shapes);
	}

}
